Subject: bug#6280: 24.0.50; (elisp) Dedicated Windows

From: martin rudalics <[email-masked]>
Date: Sat, 29 May 2010 10:20:00 +0200

> My value of `special-display-regexps' is ("[ ]?[*][^*]+[*]"), so buffers named
 > `*...*' are special.

In your original report you asked for

 > * a simple recipe for making all windows dedicated and
 >
 > * a simple recipe for making all windows for buffers in a certain mode
 > dedicated

I tried to answer these questions.

 >> I earlier mentioned how you can do what the OP wants.  Write
 >> a function that you _globally_ add to
 >> `window-configuration-change-hook'.  That function would have to
 >> scan `window-list', check for each window whether
 >> its buffer is in a mode that shall have dedicated windows,
 >> and, if that is the case, call `set-window-dedicated-p' for that
 >> window with some non-nil, non-t flag.  If someone can come up
 >> with a simpler solution I'll be all ears.
 >
 > Sigh.

Sorry.

martin